| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::AnimationControllerFunction Class Reference
Core » General

Predefined controller function for dealing with animation. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::AnimationControllerFunction:
[legend]

## Public Member Functions
| AnimationControllerFunction (Real sequenceTime, Real timeOffset=0.0f)
| Constructor. More...
Real | calculate (Real source)
| Overridden function. More...
void | setSequenceTime (Real seqVal)
| Set the sequence duration value manually. More...
void | setTime (Real timeVal)
| Set the time value manually. More...

## Detailed Description

Predefined controller function for dealing with animation.

## Constructor & Destructor Documentation

## ◆ AnimationControllerFunction()

Ogre::AnimationControllerFunction::AnimationControllerFunction | ( | Real | sequenceTime,
|  | Real | timeOffset = `0.0f`
| ) |  |

Constructor.

Parameters

  sequenceTime | The amount of time in seconds it takes to loop through the whole animation sequence.
  timeOffset | The offset in seconds at which to start (default is start at 0)

## Member Function Documentation

## ◆ calculate()

Real Ogre::AnimationControllerFunction::calculate | ( | Real | source | ) |
| virtual

Overridden function.

Implements Ogre::ControllerFunction< Real >.

## ◆ setTime()

void Ogre::AnimationControllerFunction::setTime | ( | Real | timeVal | ) |

Set the time value manually.

## ◆ setSequenceTime()

void Ogre::AnimationControllerFunction::setSequenceTime | ( | Real | seqVal | ) |

Set the sequence duration value manually.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h